# rtsp media factory

The GstRTSPMediaFactory is responsible for creating or recycling GstRTSPMedia objects based on the passed URL.

The default implementation of the object can create GstRTSPMedia objects containing a pipeline created from a launch description set with gst_rtsp_media_factory_set_launch.

Media from a factory can be shared by setting the shared flag with gst_rtsp_media_factory_set_shared. When a factory is shared, gst_rtsp_media_factory_construct will return the same GstRTSPMedia when the url matches.

Last reviewed on 2013-07-11 (1.0.0)

## GstRTSPMediaFactory

    GObject
        ╰──GstRTSPMediaFactory
            ╰──GstRTSPMediaFactoryURI
            ╰──GstRTSPOnvifMediaFactory

The definition and logic for constructing the pipeline for a media. The media can contain multiple streams like audio and video.

### Members

`parent` (GObject) –
No description available

### Class structure

#### GstRTSPMediaFactoryClass

The GstRTSPMediaFactory class structure.

##### Fields

`parent_class` (GObjectClass) –
No description available

### GstRtspServer.RTSPMediaFactoryClass

The GstRtspServer.RTSPMediaFactory class structure.

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

### GstRtspServer.RTSPMediaFactoryClass

The GstRtspServer.RTSPMediaFactory class structure.

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

## GstRtspServer.RTSPMediaFactory

    GObject.Object
        ╰──GstRtspServer.RTSPMediaFactory
            ╰──GstRtspServer.RTSPMediaFactoryURI
            ╰──GstRtspServer.RTSPOnvifMediaFactory

The definition and logic for constructing the pipeline for a media. The media can contain multiple streams like audio and video.

### Members

`parent` (GObject.Object) –
No description available

## GstRtspServer.RTSPMediaFactory

    GObject.Object
        ╰──GstRtspServer.RTSPMediaFactory
            ╰──GstRtspServer.RTSPMediaFactoryURI
            ╰──GstRtspServer.RTSPOnvifMediaFactory

The definition and logic for constructing the pipeline for a media. The media can contain multiple streams like audio and video.

### Members

`parent` (GObject.Object) –
No description available

### Constructors

#### gst_rtsp_media_factory_new

    GstRTSPMediaFactory *
    gst_rtsp_media_factory_new ()

Create a new GstRTSPMediaFactory instance.

Returns ( [transfer: full]) –

a new GstRTSPMediaFactory object.

#### GstRtspServer.RTSPMediaFactory.prototype.new

    function GstRtspServer.RTSPMediaFactory.prototype.new(): {
        // javascript wrapper for 'gst_rtsp_media_factory_new'
    }

Create a new GstRtspServer.RTSPMediaFactory instance.

Returns (GstRtspServer.RTSPMediaFactory) –

a new GstRtspServer.RTSPMediaFactory object.

#### GstRtspServer.RTSPMediaFactory.new

    def GstRtspServer.RTSPMediaFactory.new ():
        #python wrapper for 'gst_rtsp_media_factory_new'

Create a new GstRtspServer.RTSPMediaFactory instance.

Returns (GstRtspServer.RTSPMediaFactory) –

a new GstRtspServer.RTSPMediaFactory object.

### Methods

#### gst_rtsp_media_factory_add_role

    gst_rtsp_media_factory_add_role (GstRTSPMediaFactory * factory,
                                     const gchar * role,
                                     const gchar * fieldname,
                                     ... ...)

A convenience method to add role with fieldname and additional arguments to the permissions of factory. If factory had no permissions, new permissions will be created and the role will be added to it.

Parameters:

`factory` –

a GstRTSPMediaFactory

`role` –

a role

`fieldname` –

the first field name

`...` –

additional arguments

#### gst_rtsp_media_factory_add_role_from_structure

    gst_rtsp_media_factory_add_role_from_structure (GstRTSPMediaFactory * factory,
                                                    GstStructure * structure)

A convenience wrapper around gst_rtsp_permissions_add_role_from_structure. If factory had no permissions, new permissions will be created and the role will be added to it.

Parameters:

`factory` –
No description available
`structure` –
No description available

Since : 1.14

#### GstRtspServer.RTSPMediaFactory.prototype.add_role_from_structure

    function GstRtspServer.RTSPMediaFactory.prototype.add_role_from_structure(structure: Gst.Structure): {
        // javascript wrapper for 'gst_rtsp_media_factory_add_role_from_structure'
    }

A convenience wrapper around GstRtspServer.RTSPPermissions.prototype.add_role_from_structure. If factory had no permissions, new permissions will be created and the role will be added to it.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`structure` (Gst.Structure) –
No description available

Since : 1.14

#### GstRtspServer.RTSPMediaFactory.add_role_from_structure

    def GstRtspServer.RTSPMediaFactory.add_role_from_structure (self, structure):
        #python wrapper for 'gst_rtsp_media_factory_add_role_from_structure'

A convenience wrapper around GstRtspServer.RTSPPermissions.add_role_from_structure. If factory had no permissions, new permissions will be created and the role will be added to it.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`structure` (Gst.Structure) –
No description available

Since : 1.14

#### gst_rtsp_media_factory_construct

    GstRTSPMedia *
    gst_rtsp_media_factory_construct (GstRTSPMediaFactory * factory,
                                      const GstRTSPUrl * url)

Construct the media object and create its streams. Implementations should create the needed gstreamer elements and add them to the result object. No state changes should be performed on them yet.

One or more GstRTSPStream objects should be created from the result with gst_rtsp_media_create_stream ().

After the media is constructed, it can be configured and then prepared with gst_rtsp_media_prepare ().

The returned media will be locked and must be unlocked afterwards.

Parameters:

`factory` –

a GstRTSPMediaFactory

`url` –

the url used

Returns ( [transfer: full][nullable]) –

a new GstRTSPMedia if the media could be prepared.

#### GstRtspServer.RTSPMediaFactory.prototype.construct

    function GstRtspServer.RTSPMediaFactory.prototype.construct(url: GstRtsp.RTSPUrl): {
        // javascript wrapper for 'gst_rtsp_media_factory_construct'
    }

Construct the media object and create its streams. Implementations should create the needed gstreamer elements and add them to the result object. No state changes should be performed on them yet.

One or more GstRTSPStream objects should be created from the result with gst_rtsp_media_create_stream ().

After the media is constructed, it can be configured and then prepared with gst_rtsp_media_prepare ().

The returned media will be locked and must be unlocked afterwards.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`url` (GstRtsp.RTSPUrl) –

the url used

Returns (GstRtspServer.RTSPMedia) –

a new GstRtspServer.RTSPMedia if the media could be prepared.

#### GstRtspServer.RTSPMediaFactory.construct

    def GstRtspServer.RTSPMediaFactory.construct (self, url):
        #python wrapper for 'gst_rtsp_media_factory_construct'

Construct the media object and create its streams. Implementations should create the needed gstreamer elements and add them to the result object. No state changes should be performed on them yet.

One or more GstRTSPStream objects should be created from the result with gst_rtsp_media_create_stream ().

After the media is constructed, it can be configured and then prepared with gst_rtsp_media_prepare ().

The returned media will be locked and must be unlocked afterwards.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`url` (GstRtsp.RTSPUrl) –

the url used

Returns (GstRtspServer.RTSPMedia) –

a new GstRtspServer.RTSPMedia if the media could be prepared.

#### gst_rtsp_media_factory_create_element

    GstElement *
    gst_rtsp_media_factory_create_element (GstRTSPMediaFactory * factory,
                                           const GstRTSPUrl * url)

Construct and return a GstElement that is a GstBin containing the elements to use for streaming the media.

The bin should contain payloaders pay%d for each stream. The default implementation of this function returns the bin created from the launch parameter.

Parameters:

`factory` –

a GstRTSPMediaFactory

`url` –

the url used

Returns ( [transfer: floating][nullable]) –

a new GstElement.

#### GstRtspServer.RTSPMediaFactory.prototype.create_element

    function GstRtspServer.RTSPMediaFactory.prototype.create_element(url: GstRtsp.RTSPUrl): {
        // javascript wrapper for 'gst_rtsp_media_factory_create_element'
    }

Construct and return a Gst.Element that is a Gst.Bin containing the elements to use for streaming the media.

The bin should contain payloaders pay%d for each stream. The default implementation of this function returns the bin created from the launch parameter.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`url` (GstRtsp.RTSPUrl) –

the url used

Returns (Gst.Element) –

a new Gst.Element.

#### GstRtspServer.RTSPMediaFactory.create_element

    def GstRtspServer.RTSPMediaFactory.create_element (self, url):
        #python wrapper for 'gst_rtsp_media_factory_create_element'

Construct and return a Gst.Element that is a Gst.Bin containing the elements to use for streaming the media.

The bin should contain payloaders pay%d for each stream. The default implementation of this function returns the bin created from the launch parameter.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`url` (GstRtsp.RTSPUrl) –

the url used

Returns (Gst.Element) –

a new Gst.Element.

#### gst_rtsp_media_factory_get_address_pool

    GstRTSPAddressPool *
    gst_rtsp_media_factory_get_address_pool (GstRTSPMediaFactory * factory)

Get the GstRTSPAddressPool used as the address pool of factory.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns ( [transfer: full][nullable]) –

the GstRTSPAddressPool of factory. g_object_unref after usage.

#### GstRtspServer.RTSPMediaFactory.prototype.get_address_pool

    function GstRtspServer.RTSPMediaFactory.prototype.get_address_pool(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_address_pool'
    }

Get the GstRtspServer.RTSPAddressPool used as the address pool of factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GstRtspServer.RTSPAddressPool) –

the GstRtspServer.RTSPAddressPool of factory. GObject.Object.prototype.unref after usage.

#### GstRtspServer.RTSPMediaFactory.get_address_pool

    def GstRtspServer.RTSPMediaFactory.get_address_pool (self):
        #python wrapper for 'gst_rtsp_media_factory_get_address_pool'

Get the GstRtspServer.RTSPAddressPool used as the address pool of factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GstRtspServer.RTSPAddressPool) –

the GstRtspServer.RTSPAddressPool of factory. GObject.Object.unref after usage.

#### gst_rtsp_media_factory_get_buffer_size

    guint
    gst_rtsp_media_factory_get_buffer_size (GstRTSPMediaFactory * factory)

Get the kernel UDP buffer size.

Parameters:

`factory` –

a GstRTSPMedia

Returns –

the kernel UDP buffer size.

#### GstRtspServer.RTSPMediaFactory.prototype.get_buffer_size

    function GstRtspServer.RTSPMediaFactory.prototype.get_buffer_size(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_buffer_size'
    }

Get the kernel UDP buffer size.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMedia

Returns (Number) –

the kernel UDP buffer size.

#### GstRtspServer.RTSPMediaFactory.get_buffer_size

    def GstRtspServer.RTSPMediaFactory.get_buffer_size (self):
        #python wrapper for 'gst_rtsp_media_factory_get_buffer_size'

Get the kernel UDP buffer size.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMedia

Returns (int) –

the kernel UDP buffer size.

#### gst_rtsp_media_factory_get_clock

    GstClock *
    gst_rtsp_media_factory_get_clock (GstRTSPMediaFactory * factory)

Returns the clock that is going to be used by the pipelines of all medias created from this factory.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns ( [transfer: full][nullable]) –

The GstClock

Since : 1.8

#### GstRtspServer.RTSPMediaFactory.prototype.get_clock

    function GstRtspServer.RTSPMediaFactory.prototype.get_clock(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_clock'
    }

Returns the clock that is going to be used by the pipelines of all medias created from this factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (Gst.Clock) –

The GstClock

Since : 1.8

#### GstRtspServer.RTSPMediaFactory.get_clock

    def GstRtspServer.RTSPMediaFactory.get_clock (self):
        #python wrapper for 'gst_rtsp_media_factory_get_clock'

Returns the clock that is going to be used by the pipelines of all medias created from this factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (Gst.Clock) –

The GstClock

Since : 1.8

#### gst_rtsp_media_factory_get_do_retransmission

    gboolean
    gst_rtsp_media_factory_get_do_retransmission (GstRTSPMediaFactory * factory)

Parameters:

`factory` –
No description available
Returns –

Whether retransmission requests will be sent for receiving media

Since : 1.16

#### GstRtspServer.RTSPMediaFactory.prototype.get_do_retransmission

    function GstRtspServer.RTSPMediaFactory.prototype.get_do_retransmission(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_do_retransmission'
    }

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
Returns (Number) –

Whether retransmission requests will be sent for receiving media

Since : 1.16

#### GstRtspServer.RTSPMediaFactory.get_do_retransmission

    def GstRtspServer.RTSPMediaFactory.get_do_retransmission (self):
        #python wrapper for 'gst_rtsp_media_factory_get_do_retransmission'

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
Returns (bool) –

Whether retransmission requests will be sent for receiving media

Since : 1.16

#### gst_rtsp_media_factory_get_dscp_qos

    gint
    gst_rtsp_media_factory_get_dscp_qos (GstRTSPMediaFactory * factory)

Get the configured media DSCP QoS.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns –

the media DSCP QoS value or -1 if disabled.

Since : 1.18

#### GstRtspServer.RTSPMediaFactory.prototype.get_dscp_qos

    function GstRtspServer.RTSPMediaFactory.prototype.get_dscp_qos(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_dscp_qos'
    }

Get the configured media DSCP QoS.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (Number) –

the media DSCP QoS value or -1 if disabled.

Since : 1.18

#### GstRtspServer.RTSPMediaFactory.get_dscp_qos

    def GstRtspServer.RTSPMediaFactory.get_dscp_qos (self):
        #python wrapper for 'gst_rtsp_media_factory_get_dscp_qos'

Get the configured media DSCP QoS.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (int) –

the media DSCP QoS value or -1 if disabled.

Since : 1.18

#### gst_rtsp_media_factory_get_ensure_keyunit_on_start

    gboolean
    gst_rtsp_media_factory_get_ensure_keyunit_on_start (GstRTSPMediaFactory * factory)

Get ensure-keyunit-on-start flag.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns –

The ensure-keyunit-on-start flag.

Since : 1.24

#### GstRtspServer.RTSPMediaFactory.prototype.get_ensure_keyunit_on_start

    function GstRtspServer.RTSPMediaFactory.prototype.get_ensure_keyunit_on_start(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_ensure_keyunit_on_start'
    }

Get ensure-keyunit-on-start flag.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (Number) –

The ensure-keyunit-on-start flag.

Since : 1.24

#### GstRtspServer.RTSPMediaFactory.get_ensure_keyunit_on_start

    def GstRtspServer.RTSPMediaFactory.get_ensure_keyunit_on_start (self):
        #python wrapper for 'gst_rtsp_media_factory_get_ensure_keyunit_on_start'

Get ensure-keyunit-on-start flag.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (bool) –

The ensure-keyunit-on-start flag.

Since : 1.24

#### gst_rtsp_media_factory_get_ensure_keyunit_on_start_timeout

    guint
    gst_rtsp_media_factory_get_ensure_keyunit_on_start_timeout (GstRTSPMediaFactory * factory)

Get ensure-keyunit-on-start-timeout time.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns –

The ensure-keyunit-on-start-timeout time.

Since : 1.24

#### GstRtspServer.RTSPMediaFactory.prototype.get_ensure_keyunit_on_start_timeout

    function GstRtspServer.RTSPMediaFactory.prototype.get_ensure_keyunit_on_start_timeout(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_ensure_keyunit_on_start_timeout'
    }

Get ensure-keyunit-on-start-timeout time.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (Number) –

The ensure-keyunit-on-start-timeout time.

Since : 1.24

#### GstRtspServer.RTSPMediaFactory.get_ensure_keyunit_on_start_timeout

    def GstRtspServer.RTSPMediaFactory.get_ensure_keyunit_on_start_timeout (self):
        #python wrapper for 'gst_rtsp_media_factory_get_ensure_keyunit_on_start_timeout'

Get ensure-keyunit-on-start-timeout time.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (int) –

The ensure-keyunit-on-start-timeout time.

Since : 1.24

#### gst_rtsp_media_factory_get_latency

    guint
    gst_rtsp_media_factory_get_latency (GstRTSPMediaFactory * factory)

Get the latency that is used for receiving media

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns –

latency in milliseconds

#### GstRtspServer.RTSPMediaFactory.prototype.get_latency

    function GstRtspServer.RTSPMediaFactory.prototype.get_latency(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_latency'
    }

Get the latency that is used for receiving media

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (Number) –

latency in milliseconds

#### GstRtspServer.RTSPMediaFactory.get_latency

    def GstRtspServer.RTSPMediaFactory.get_latency (self):
        #python wrapper for 'gst_rtsp_media_factory_get_latency'

Get the latency that is used for receiving media

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (int) –

latency in milliseconds

#### gst_rtsp_media_factory_get_launch

    gchar *
    gst_rtsp_media_factory_get_launch (GstRTSPMediaFactory * factory)

Get the gst_parse_launch pipeline description that will be used in the default prepare vmethod.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns ( [transfer: full][nullable]) –

the configured launch description. g_free after usage.

#### GstRtspServer.RTSPMediaFactory.prototype.get_launch

    function GstRtspServer.RTSPMediaFactory.prototype.get_launch(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_launch'
    }

Get the Gst.prototype.parse_launch pipeline description that will be used in the default prepare vmethod.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (String) –

the configured launch description. GLib.prototype.free after usage.

#### GstRtspServer.RTSPMediaFactory.get_launch

    def GstRtspServer.RTSPMediaFactory.get_launch (self):
        #python wrapper for 'gst_rtsp_media_factory_get_launch'

Get the Gst.parse_launch pipeline description that will be used in the default prepare vmethod.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (str) –

the configured launch description. GLib.free after usage.

#### gst_rtsp_media_factory_get_max_mcast_ttl

    guint
    gst_rtsp_media_factory_get_max_mcast_ttl (GstRTSPMediaFactory * factory)

Get the the maximum time-to-live value of outgoing multicast packets.

Parameters:

`factory` –

a GstRTSPMedia

Returns –

the maximum time-to-live value of outgoing multicast packets.

Since : 1.16

#### GstRtspServer.RTSPMediaFactory.prototype.get_max_mcast_ttl

    function GstRtspServer.RTSPMediaFactory.prototype.get_max_mcast_ttl(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_max_mcast_ttl'
    }

Get the the maximum time-to-live value of outgoing multicast packets.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMedia

Returns (Number) –

the maximum time-to-live value of outgoing multicast packets.

Since : 1.16

#### GstRtspServer.RTSPMediaFactory.get_max_mcast_ttl

    def GstRtspServer.RTSPMediaFactory.get_max_mcast_ttl (self):
        #python wrapper for 'gst_rtsp_media_factory_get_max_mcast_ttl'

Get the the maximum time-to-live value of outgoing multicast packets.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMedia

Returns (int) –

the maximum time-to-live value of outgoing multicast packets.

Since : 1.16

#### gst_rtsp_media_factory_get_media_gtype

    GType
    gst_rtsp_media_factory_get_media_gtype (GstRTSPMediaFactory * factory)

Return the GType of the GstRTSPMedia subclass this factory will create.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns –
No description available

Since : 1.6

#### GstRtspServer.RTSPMediaFactory.prototype.get_media_gtype

    function GstRtspServer.RTSPMediaFactory.prototype.get_media_gtype(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_media_gtype'
    }

Return the GType of the GstRTSPMedia subclass this factory will create.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GObject.Type) –
No description available

Since : 1.6

#### GstRtspServer.RTSPMediaFactory.get_media_gtype

    def GstRtspServer.RTSPMediaFactory.get_media_gtype (self):
        #python wrapper for 'gst_rtsp_media_factory_get_media_gtype'

Return the GType of the GstRTSPMedia subclass this factory will create.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GObject.Type) –
No description available

Since : 1.6

#### gst_rtsp_media_factory_get_multicast_iface

    gchar *
    gst_rtsp_media_factory_get_multicast_iface (GstRTSPMediaFactory * factory)

Get the multicast interface used for factory.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns ( [transfer: full][nullable]) –

the multicast interface for factory. g_free after usage.

#### GstRtspServer.RTSPMediaFactory.prototype.get_multicast_iface

    function GstRtspServer.RTSPMediaFactory.prototype.get_multicast_iface(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_multicast_iface'
    }

Get the multicast interface used for factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (String) –

the multicast interface for factory. GLib.prototype.free after usage.

#### GstRtspServer.RTSPMediaFactory.get_multicast_iface

    def GstRtspServer.RTSPMediaFactory.get_multicast_iface (self):
        #python wrapper for 'gst_rtsp_media_factory_get_multicast_iface'

Get the multicast interface used for factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (str) –

the multicast interface for factory. GLib.free after usage.

#### gst_rtsp_media_factory_get_permissions

    GstRTSPPermissions *
    gst_rtsp_media_factory_get_permissions (GstRTSPMediaFactory * factory)

Get the permissions object from factory.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns ( [transfer: full][nullable]) –

a GstRTSPPermissions object, unref after usage.

#### GstRtspServer.RTSPMediaFactory.prototype.get_permissions

    function GstRtspServer.RTSPMediaFactory.prototype.get_permissions(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_permissions'
    }

Get the permissions object from factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GstRtspServer.RTSPPermissions) –

a GstRtspServer.RTSPPermissions object, unref after usage.

#### GstRtspServer.RTSPMediaFactory.get_permissions

    def GstRtspServer.RTSPMediaFactory.get_permissions (self):
        #python wrapper for 'gst_rtsp_media_factory_get_permissions'

Get the permissions object from factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GstRtspServer.RTSPPermissions) –

a GstRtspServer.RTSPPermissions object, unref after usage.

#### gst_rtsp_media_factory_get_profiles

    GstRTSPProfile
    gst_rtsp_media_factory_get_profiles (GstRTSPMediaFactory * factory)

Get the allowed profiles of factory.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns –

a GstRTSPProfile

#### GstRtspServer.RTSPMediaFactory.prototype.get_profiles

    function GstRtspServer.RTSPMediaFactory.prototype.get_profiles(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_profiles'
    }

Get the allowed profiles of factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GstRtsp.RTSPProfile) –

a GstRtsp.RTSPProfile

#### GstRtspServer.RTSPMediaFactory.get_profiles

    def GstRtspServer.RTSPMediaFactory.get_profiles (self):
        #python wrapper for 'gst_rtsp_media_factory_get_profiles'

Get the allowed profiles of factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GstRtsp.RTSPProfile) –

a GstRtsp.RTSPProfile

#### gst_rtsp_media_factory_get_protocols

    GstRTSPLowerTrans
    gst_rtsp_media_factory_get_protocols (GstRTSPMediaFactory * factory)

Get the allowed protocols of factory.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns –

a GstRTSPLowerTrans

#### GstRtspServer.RTSPMediaFactory.prototype.get_protocols

    function GstRtspServer.RTSPMediaFactory.prototype.get_protocols(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_protocols'
    }

Get the allowed protocols of factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GstRtsp.RTSPLowerTrans) –

a GstRtsp.RTSPLowerTrans

#### GstRtspServer.RTSPMediaFactory.get_protocols

    def GstRtspServer.RTSPMediaFactory.get_protocols (self):
        #python wrapper for 'gst_rtsp_media_factory_get_protocols'

Get the allowed protocols of factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GstRtsp.RTSPLowerTrans) –

a GstRtsp.RTSPLowerTrans

#### gst_rtsp_media_factory_get_publish_clock_mode

    GstRTSPPublishClockMode
    gst_rtsp_media_factory_get_publish_clock_mode (GstRTSPMediaFactory * factory)

Gets if and how the media clock should be published according to RFC7273.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns –

The GstRTSPPublishClockMode

Since : 1.8

#### GstRtspServer.RTSPMediaFactory.prototype.get_publish_clock_mode

    function GstRtspServer.RTSPMediaFactory.prototype.get_publish_clock_mode(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_publish_clock_mode'
    }

Gets if and how the media clock should be published according to RFC7273.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GstRtspServer.RTSPPublishClockMode) –

The GstRTSPPublishClockMode

Since : 1.8

#### GstRtspServer.RTSPMediaFactory.get_publish_clock_mode

    def GstRtspServer.RTSPMediaFactory.get_publish_clock_mode (self):
        #python wrapper for 'gst_rtsp_media_factory_get_publish_clock_mode'

Gets if and how the media clock should be published according to RFC7273.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GstRtspServer.RTSPPublishClockMode) –

The GstRTSPPublishClockMode

Since : 1.8

#### gst_rtsp_media_factory_get_retransmission_time

    GstClockTime
    gst_rtsp_media_factory_get_retransmission_time (GstRTSPMediaFactory * factory)

Get the time that is stored for retransmission purposes

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns –

a GstClockTime

#### GstRtspServer.RTSPMediaFactory.prototype.get_retransmission_time

    function GstRtspServer.RTSPMediaFactory.prototype.get_retransmission_time(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_retransmission_time'
    }

Get the time that is stored for retransmission purposes

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (Number) –

a Number

#### GstRtspServer.RTSPMediaFactory.get_retransmission_time

    def GstRtspServer.RTSPMediaFactory.get_retransmission_time (self):
        #python wrapper for 'gst_rtsp_media_factory_get_retransmission_time'

Get the time that is stored for retransmission purposes

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (int) –

a int

#### gst_rtsp_media_factory_get_suspend_mode

    GstRTSPSuspendMode
    gst_rtsp_media_factory_get_suspend_mode (GstRTSPMediaFactory * factory)

Get how media created from this factory will be suspended.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns –

a GstRTSPSuspendMode.

#### GstRtspServer.RTSPMediaFactory.prototype.get_suspend_mode

    function GstRtspServer.RTSPMediaFactory.prototype.get_suspend_mode(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_suspend_mode'
    }

Get how media created from this factory will be suspended.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GstRtspServer.RTSPSuspendMode) –

a GstRtspServer.RTSPSuspendMode.

#### GstRtspServer.RTSPMediaFactory.get_suspend_mode

    def GstRtspServer.RTSPMediaFactory.get_suspend_mode (self):
        #python wrapper for 'gst_rtsp_media_factory_get_suspend_mode'

Get how media created from this factory will be suspended.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GstRtspServer.RTSPSuspendMode) –

a GstRtspServer.RTSPSuspendMode.

#### gst_rtsp_media_factory_get_transport_mode

    GstRTSPTransportMode
    gst_rtsp_media_factory_get_transport_mode (GstRTSPMediaFactory * factory)

Get if media created from this factory can be used for PLAY or RECORD methods.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns –

The transport mode.

#### GstRtspServer.RTSPMediaFactory.prototype.get_transport_mode

    function GstRtspServer.RTSPMediaFactory.prototype.get_transport_mode(): {
        // javascript wrapper for 'gst_rtsp_media_factory_get_transport_mode'
    }

Get if media created from this factory can be used for PLAY or RECORD methods.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GstRtspServer.RTSPTransportMode) –

The transport mode.

#### GstRtspServer.RTSPMediaFactory.get_transport_mode

    def GstRtspServer.RTSPMediaFactory.get_transport_mode (self):
        #python wrapper for 'gst_rtsp_media_factory_get_transport_mode'

Get if media created from this factory can be used for PLAY or RECORD methods.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (GstRtspServer.RTSPTransportMode) –

The transport mode.

#### gst_rtsp_media_factory_is_bind_mcast_address

    gboolean
    gst_rtsp_media_factory_is_bind_mcast_address (GstRTSPMediaFactory * factory)

Check if multicast sockets are configured to be bound to multicast addresses.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns –

TRUE if multicast sockets are configured to be bound to multicast addresses.

Since : 1.16

#### GstRtspServer.RTSPMediaFactory.prototype.is_bind_mcast_address

    function GstRtspServer.RTSPMediaFactory.prototype.is_bind_mcast_address(): {
        // javascript wrapper for 'gst_rtsp_media_factory_is_bind_mcast_address'
    }

Check if multicast sockets are configured to be bound to multicast addresses.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (Number) –

true if multicast sockets are configured to be bound to multicast addresses.

Since : 1.16

#### GstRtspServer.RTSPMediaFactory.is_bind_mcast_address

    def GstRtspServer.RTSPMediaFactory.is_bind_mcast_address (self):
        #python wrapper for 'gst_rtsp_media_factory_is_bind_mcast_address'

Check if multicast sockets are configured to be bound to multicast addresses.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (bool) –

True if multicast sockets are configured to be bound to multicast addresses.

Since : 1.16

#### gst_rtsp_media_factory_is_enable_rtcp

    gboolean
    gst_rtsp_media_factory_is_enable_rtcp (GstRTSPMediaFactory * factory)

Check if created media will send and receive RTCP

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns –

TRUE if created media will send and receive RTCP

Since : 1.20

#### GstRtspServer.RTSPMediaFactory.prototype.is_enable_rtcp

    function GstRtspServer.RTSPMediaFactory.prototype.is_enable_rtcp(): {
        // javascript wrapper for 'gst_rtsp_media_factory_is_enable_rtcp'
    }

Check if created media will send and receive RTCP

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (Number) –

true if created media will send and receive RTCP

Since : 1.20

#### GstRtspServer.RTSPMediaFactory.is_enable_rtcp

    def GstRtspServer.RTSPMediaFactory.is_enable_rtcp (self):
        #python wrapper for 'gst_rtsp_media_factory_is_enable_rtcp'

Check if created media will send and receive RTCP

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (bool) –

True if created media will send and receive RTCP

Since : 1.20

#### gst_rtsp_media_factory_is_eos_shutdown

    gboolean
    gst_rtsp_media_factory_is_eos_shutdown (GstRTSPMediaFactory * factory)

Get if media created from this factory will have an EOS event sent to the pipeline before shutdown.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns –

TRUE if the media will receive EOS before shutdown.

#### GstRtspServer.RTSPMediaFactory.prototype.is_eos_shutdown

    function GstRtspServer.RTSPMediaFactory.prototype.is_eos_shutdown(): {
        // javascript wrapper for 'gst_rtsp_media_factory_is_eos_shutdown'
    }

Get if media created from this factory will have an EOS event sent to the pipeline before shutdown.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (Number) –

true if the media will receive EOS before shutdown.

#### GstRtspServer.RTSPMediaFactory.is_eos_shutdown

    def GstRtspServer.RTSPMediaFactory.is_eos_shutdown (self):
        #python wrapper for 'gst_rtsp_media_factory_is_eos_shutdown'

Get if media created from this factory will have an EOS event sent to the pipeline before shutdown.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (bool) –

True if the media will receive EOS before shutdown.

#### gst_rtsp_media_factory_is_shared

    gboolean
    gst_rtsp_media_factory_is_shared (GstRTSPMediaFactory * factory)

Get if media created from this factory can be shared between clients.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns –

TRUE if the media will be shared between clients.

#### GstRtspServer.RTSPMediaFactory.prototype.is_shared

    function GstRtspServer.RTSPMediaFactory.prototype.is_shared(): {
        // javascript wrapper for 'gst_rtsp_media_factory_is_shared'
    }

Get if media created from this factory can be shared between clients.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (Number) –

true if the media will be shared between clients.

#### GstRtspServer.RTSPMediaFactory.is_shared

    def GstRtspServer.RTSPMediaFactory.is_shared (self):
        #python wrapper for 'gst_rtsp_media_factory_is_shared'

Get if media created from this factory can be shared between clients.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

Returns (bool) –

True if the media will be shared between clients.

#### gst_rtsp_media_factory_is_stop_on_disonnect

    gboolean
    gst_rtsp_media_factory_is_stop_on_disonnect (GstRTSPMediaFactory * factory)

Parameters:

`factory` –
No description available
Returns –
No description available

#### GstRtspServer.RTSPMediaFactory.prototype.is_stop_on_disonnect

    function GstRtspServer.RTSPMediaFactory.prototype.is_stop_on_disonnect(): {
        // javascript wrapper for 'gst_rtsp_media_factory_is_stop_on_disonnect'
    }

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
Returns (Number) –
No description available

#### GstRtspServer.RTSPMediaFactory.is_stop_on_disonnect

    def GstRtspServer.RTSPMediaFactory.is_stop_on_disonnect (self):
        #python wrapper for 'gst_rtsp_media_factory_is_stop_on_disonnect'

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
Returns (bool) –
No description available

#### gst_rtsp_media_factory_set_address_pool

    gst_rtsp_media_factory_set_address_pool (GstRTSPMediaFactory * factory,
                                             GstRTSPAddressPool * pool)

configure pool to be used as the address pool of factory.

Parameters:

`factory` –

a GstRTSPMediaFactory

`pool` ( [transfer: none][nullable]) –

a GstRTSPAddressPool

#### GstRtspServer.RTSPMediaFactory.prototype.set_address_pool

    function GstRtspServer.RTSPMediaFactory.prototype.set_address_pool(pool: GstRtspServer.RTSPAddressPool): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_address_pool'
    }

configure pool to be used as the address pool of factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`pool` (GstRtspServer.RTSPAddressPool) –

a GstRtspServer.RTSPAddressPool

#### GstRtspServer.RTSPMediaFactory.set_address_pool

    def GstRtspServer.RTSPMediaFactory.set_address_pool (self, pool):
        #python wrapper for 'gst_rtsp_media_factory_set_address_pool'

configure pool to be used as the address pool of factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`pool` (GstRtspServer.RTSPAddressPool) –

a GstRtspServer.RTSPAddressPool

#### gst_rtsp_media_factory_set_bind_mcast_address

    gst_rtsp_media_factory_set_bind_mcast_address (GstRTSPMediaFactory * factory,
                                                   gboolean bind_mcast_addr)

Decide whether the multicast socket should be bound to a multicast address or INADDR_ANY.

Parameters:

`factory` –

a GstRTSPMediaFactory

`bind_mcast_addr` –

the new value

Since : 1.16

#### GstRtspServer.RTSPMediaFactory.prototype.set_bind_mcast_address

    function GstRtspServer.RTSPMediaFactory.prototype.set_bind_mcast_address(bind_mcast_addr: Number): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_bind_mcast_address'
    }

Decide whether the multicast socket should be bound to a multicast address or INADDR_ANY.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`bind_mcast_addr` (Number) –

the new value

Since : 1.16

#### GstRtspServer.RTSPMediaFactory.set_bind_mcast_address

    def GstRtspServer.RTSPMediaFactory.set_bind_mcast_address (self, bind_mcast_addr):
        #python wrapper for 'gst_rtsp_media_factory_set_bind_mcast_address'

Decide whether the multicast socket should be bound to a multicast address or INADDR_ANY.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`bind_mcast_addr` (bool) –

the new value

Since : 1.16

#### gst_rtsp_media_factory_set_buffer_size

    gst_rtsp_media_factory_set_buffer_size (GstRTSPMediaFactory * factory,
                                            guint size)

Set the kernel UDP buffer size.

Parameters:

`factory` –

a GstRTSPMedia

`size` –

the new value

#### GstRtspServer.RTSPMediaFactory.prototype.set_buffer_size

    function GstRtspServer.RTSPMediaFactory.prototype.set_buffer_size(size: Number): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_buffer_size'
    }

Set the kernel UDP buffer size.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMedia

`size` (Number) –

the new value

#### GstRtspServer.RTSPMediaFactory.set_buffer_size

    def GstRtspServer.RTSPMediaFactory.set_buffer_size (self, size):
        #python wrapper for 'gst_rtsp_media_factory_set_buffer_size'

Set the kernel UDP buffer size.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMedia

`size` (int) –

the new value

#### gst_rtsp_media_factory_set_clock

    gst_rtsp_media_factory_set_clock (GstRTSPMediaFactory * factory,
                                      GstClock * clock)

Configures a specific clock to be used by the pipelines of all medias created from this factory.

Parameters:

`factory` –

a GstRTSPMediaFactory

`clock` ( [nullable]) –

the clock to be used by the media factory

Since : 1.8

#### GstRtspServer.RTSPMediaFactory.prototype.set_clock

    function GstRtspServer.RTSPMediaFactory.prototype.set_clock(clock: Gst.Clock): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_clock'
    }

Configures a specific clock to be used by the pipelines of all medias created from this factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`clock` (Gst.Clock) –

the clock to be used by the media factory

Since : 1.8

#### GstRtspServer.RTSPMediaFactory.set_clock

    def GstRtspServer.RTSPMediaFactory.set_clock (self, clock):
        #python wrapper for 'gst_rtsp_media_factory_set_clock'

Configures a specific clock to be used by the pipelines of all medias created from this factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`clock` (Gst.Clock) –

the clock to be used by the media factory

Since : 1.8

#### gst_rtsp_media_factory_set_do_retransmission

    gst_rtsp_media_factory_set_do_retransmission (GstRTSPMediaFactory * factory,
                                                  gboolean do_retransmission)

Set whether retransmission requests will be sent for receiving media

Parameters:

`factory` –
No description available
`do_retransmission` –
No description available

Since : 1.16

#### GstRtspServer.RTSPMediaFactory.prototype.set_do_retransmission

    function GstRtspServer.RTSPMediaFactory.prototype.set_do_retransmission(do_retransmission: Number): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_do_retransmission'
    }

Set whether retransmission requests will be sent for receiving media

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`do_retransmission` (Number) –
No description available

Since : 1.16

#### GstRtspServer.RTSPMediaFactory.set_do_retransmission

    def GstRtspServer.RTSPMediaFactory.set_do_retransmission (self, do_retransmission):
        #python wrapper for 'gst_rtsp_media_factory_set_do_retransmission'

Set whether retransmission requests will be sent for receiving media

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`do_retransmission` (bool) –
No description available

Since : 1.16

#### gst_rtsp_media_factory_set_dscp_qos

    gst_rtsp_media_factory_set_dscp_qos (GstRTSPMediaFactory * factory,
                                         gint dscp_qos)

Configure the media dscp qos to dscp_qos.

Parameters:

`factory` –

a GstRTSPMediaFactory

`dscp_qos` –

a new dscp qos value (0-63, or -1 to disable)

Since : 1.18

#### GstRtspServer.RTSPMediaFactory.prototype.set_dscp_qos

    function GstRtspServer.RTSPMediaFactory.prototype.set_dscp_qos(dscp_qos: Number): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_dscp_qos'
    }

Configure the media dscp qos to dscp_qos.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`dscp_qos` (Number) –

a new dscp qos value (0-63, or -1 to disable)

Since : 1.18

#### GstRtspServer.RTSPMediaFactory.set_dscp_qos

    def GstRtspServer.RTSPMediaFactory.set_dscp_qos (self, dscp_qos):
        #python wrapper for 'gst_rtsp_media_factory_set_dscp_qos'

Configure the media dscp qos to dscp_qos.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`dscp_qos` (int) –

a new dscp qos value (0-63, or -1 to disable)

Since : 1.18

#### gst_rtsp_media_factory_set_enable_rtcp

    gst_rtsp_media_factory_set_enable_rtcp (GstRTSPMediaFactory * factory,
                                            gboolean enable)

Decide whether the created media should send and receive RTCP

Parameters:

`factory` –

a GstRTSPMediaFactory

`enable` –

the new value

Since : 1.20

#### GstRtspServer.RTSPMediaFactory.prototype.set_enable_rtcp

    function GstRtspServer.RTSPMediaFactory.prototype.set_enable_rtcp(enable: Number): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_enable_rtcp'
    }

Decide whether the created media should send and receive RTCP

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`enable` (Number) –

the new value

Since : 1.20

#### GstRtspServer.RTSPMediaFactory.set_enable_rtcp

    def GstRtspServer.RTSPMediaFactory.set_enable_rtcp (self, enable):
        #python wrapper for 'gst_rtsp_media_factory_set_enable_rtcp'

Decide whether the created media should send and receive RTCP

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`enable` (bool) –

the new value

Since : 1.20

#### gst_rtsp_media_factory_set_ensure_keyunit_on_start

    gst_rtsp_media_factory_set_ensure_keyunit_on_start (GstRTSPMediaFactory * factory,
                                                        gboolean ensure_keyunit_on_start)

If media from this factory should ensure a key unit when a client connects.

Parameters:

`factory` –

a GstRTSPMediaFactory

`ensure_keyunit_on_start` –

the new value

Since : 1.24

#### GstRtspServer.RTSPMediaFactory.prototype.set_ensure_keyunit_on_start

    function GstRtspServer.RTSPMediaFactory.prototype.set_ensure_keyunit_on_start(ensure_keyunit_on_start: Number): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_ensure_keyunit_on_start'
    }

If media from this factory should ensure a key unit when a client connects.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`ensure_keyunit_on_start` (Number) –

the new value

Since : 1.24

#### GstRtspServer.RTSPMediaFactory.set_ensure_keyunit_on_start

    def GstRtspServer.RTSPMediaFactory.set_ensure_keyunit_on_start (self, ensure_keyunit_on_start):
        #python wrapper for 'gst_rtsp_media_factory_set_ensure_keyunit_on_start'

If media from this factory should ensure a key unit when a client connects.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`ensure_keyunit_on_start` (bool) –

the new value

Since : 1.24

#### gst_rtsp_media_factory_set_ensure_keyunit_on_start_timeout

    gst_rtsp_media_factory_set_ensure_keyunit_on_start_timeout (GstRTSPMediaFactory * factory,
                                                                guint timeout)

Configures medias from this factory to consider keyunits older than timeout to be expired. Expired keyunits will be discarded.

Parameters:

`factory` –

a GstRTSPMediaFactory

`timeout` –

the new value

Since : 1.24

#### GstRtspServer.RTSPMediaFactory.prototype.set_ensure_keyunit_on_start_timeout

    function GstRtspServer.RTSPMediaFactory.prototype.set_ensure_keyunit_on_start_timeout(timeout: Number): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_ensure_keyunit_on_start_timeout'
    }

Configures medias from this factory to consider keyunits older than timeout to be expired. Expired keyunits will be discarded.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`timeout` (Number) –

the new value

Since : 1.24

#### GstRtspServer.RTSPMediaFactory.set_ensure_keyunit_on_start_timeout

    def GstRtspServer.RTSPMediaFactory.set_ensure_keyunit_on_start_timeout (self, timeout):
        #python wrapper for 'gst_rtsp_media_factory_set_ensure_keyunit_on_start_timeout'

Configures medias from this factory to consider keyunits older than timeout to be expired. Expired keyunits will be discarded.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`timeout` (int) –

the new value

Since : 1.24

#### gst_rtsp_media_factory_set_eos_shutdown

    gst_rtsp_media_factory_set_eos_shutdown (GstRTSPMediaFactory * factory,
                                             gboolean eos_shutdown)

Configure if media created from this factory will have an EOS sent to the pipeline before shutdown.

Parameters:

`factory` –

a GstRTSPMediaFactory

`eos_shutdown` –

the new value

#### GstRtspServer.RTSPMediaFactory.prototype.set_eos_shutdown

    function GstRtspServer.RTSPMediaFactory.prototype.set_eos_shutdown(eos_shutdown: Number): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_eos_shutdown'
    }

Configure if media created from this factory will have an EOS sent to the pipeline before shutdown.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`eos_shutdown` (Number) –

the new value

#### GstRtspServer.RTSPMediaFactory.set_eos_shutdown

    def GstRtspServer.RTSPMediaFactory.set_eos_shutdown (self, eos_shutdown):
        #python wrapper for 'gst_rtsp_media_factory_set_eos_shutdown'

Configure if media created from this factory will have an EOS sent to the pipeline before shutdown.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`eos_shutdown` (bool) –

the new value

#### gst_rtsp_media_factory_set_latency

    gst_rtsp_media_factory_set_latency (GstRTSPMediaFactory * factory,
                                        guint latency)

Configure the latency used for receiving media

Parameters:

`factory` –

a GstRTSPMediaFactory

`latency` –

latency in milliseconds

#### GstRtspServer.RTSPMediaFactory.prototype.set_latency

    function GstRtspServer.RTSPMediaFactory.prototype.set_latency(latency: Number): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_latency'
    }

Configure the latency used for receiving media

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`latency` (Number) –

latency in milliseconds

#### GstRtspServer.RTSPMediaFactory.set_latency

    def GstRtspServer.RTSPMediaFactory.set_latency (self, latency):
        #python wrapper for 'gst_rtsp_media_factory_set_latency'

Configure the latency used for receiving media

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`latency` (int) –

latency in milliseconds

#### gst_rtsp_media_factory_set_launch

    gst_rtsp_media_factory_set_launch (GstRTSPMediaFactory * factory,
                                       const gchar * launch)

The gst_parse_launch line to use for constructing the pipeline in the default prepare vmethod.

The pipeline description should return a GstBin as the toplevel element which can be accomplished by enclosing the description with brackets '(' ')'.

The description should return a pipeline with payloaders named pay0, pay1, etc.. Each of the payloaders will result in a stream.

Parameters:

`factory` –

a GstRTSPMediaFactory

`launch` –

the launch description

#### GstRtspServer.RTSPMediaFactory.prototype.set_launch

    function GstRtspServer.RTSPMediaFactory.prototype.set_launch(launch: String): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_launch'
    }

The Gst.prototype.parse_launch line to use for constructing the pipeline in the default prepare vmethod.

The pipeline description should return a GstBin as the toplevel element which can be accomplished by enclosing the description with brackets '(' ')'.

The description should return a pipeline with payloaders named pay0, pay1, etc.. Each of the payloaders will result in a stream.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`launch` (String) –

the launch description

#### GstRtspServer.RTSPMediaFactory.set_launch

    def GstRtspServer.RTSPMediaFactory.set_launch (self, launch):
        #python wrapper for 'gst_rtsp_media_factory_set_launch'

The Gst.parse_launch line to use for constructing the pipeline in the default prepare vmethod.

The pipeline description should return a GstBin as the toplevel element which can be accomplished by enclosing the description with brackets '(' ')'.

The description should return a pipeline with payloaders named pay0, pay1, etc.. Each of the payloaders will result in a stream.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`launch` (str) –

the launch description

#### gst_rtsp_media_factory_set_max_mcast_ttl

    gboolean
    gst_rtsp_media_factory_set_max_mcast_ttl (GstRTSPMediaFactory * factory,
                                              guint ttl)

Set the maximum time-to-live value of outgoing multicast packets.

Parameters:

`factory` –

a GstRTSPMedia

`ttl` –

the new multicast ttl value

Returns –

TRUE if the requested ttl has been set successfully.

Since : 1.16

#### GstRtspServer.RTSPMediaFactory.prototype.set_max_mcast_ttl

    function GstRtspServer.RTSPMediaFactory.prototype.set_max_mcast_ttl(ttl: Number): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_max_mcast_ttl'
    }

Set the maximum time-to-live value of outgoing multicast packets.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMedia

`ttl` (Number) –

the new multicast ttl value

Returns (Number) –

true if the requested ttl has been set successfully.

Since : 1.16

#### GstRtspServer.RTSPMediaFactory.set_max_mcast_ttl

    def GstRtspServer.RTSPMediaFactory.set_max_mcast_ttl (self, ttl):
        #python wrapper for 'gst_rtsp_media_factory_set_max_mcast_ttl'

Set the maximum time-to-live value of outgoing multicast packets.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMedia

`ttl` (int) –

the new multicast ttl value

Returns (bool) –

True if the requested ttl has been set successfully.

Since : 1.16

#### gst_rtsp_media_factory_set_media_gtype

    gst_rtsp_media_factory_set_media_gtype (GstRTSPMediaFactory * factory,
                                            GType media_gtype)

Configure the GType of the GstRTSPMedia subclass to create (by default, overridden construct vmethods may of course do something different)

Parameters:

`factory` –

a GstRTSPMediaFactory

`media_gtype` –

the GType of the class to create

Since : 1.6

#### GstRtspServer.RTSPMediaFactory.prototype.set_media_gtype

    function GstRtspServer.RTSPMediaFactory.prototype.set_media_gtype(media_gtype: GObject.Type): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_media_gtype'
    }

Configure the GType of the GstRTSPMedia subclass to create (by default, overridden construct vmethods may of course do something different)

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`media_gtype` (GObject.Type) –

the GType of the class to create

Since : 1.6

#### GstRtspServer.RTSPMediaFactory.set_media_gtype

    def GstRtspServer.RTSPMediaFactory.set_media_gtype (self, media_gtype):
        #python wrapper for 'gst_rtsp_media_factory_set_media_gtype'

Configure the GType of the GstRTSPMedia subclass to create (by default, overridden construct vmethods may of course do something different)

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`media_gtype` (GObject.Type) –

the GType of the class to create

Since : 1.6

#### gst_rtsp_media_factory_set_multicast_iface

    gst_rtsp_media_factory_set_multicast_iface (GstRTSPMediaFactory * factory,
                                                const gchar * multicast_iface)

configure multicast_iface to be used for factory.

Parameters:

`factory` –

a GstRTSPMediaFactory

`multicast_iface` ( [transfer: none][nullable]) –

a multicast interface name

#### GstRtspServer.RTSPMediaFactory.prototype.set_multicast_iface

    function GstRtspServer.RTSPMediaFactory.prototype.set_multicast_iface(multicast_iface: String): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_multicast_iface'
    }

configure multicast_iface to be used for factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`multicast_iface` (String) –

a multicast interface name

#### GstRtspServer.RTSPMediaFactory.set_multicast_iface

    def GstRtspServer.RTSPMediaFactory.set_multicast_iface (self, multicast_iface):
        #python wrapper for 'gst_rtsp_media_factory_set_multicast_iface'

configure multicast_iface to be used for factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`multicast_iface` (str) –

a multicast interface name

#### gst_rtsp_media_factory_set_permissions

    gst_rtsp_media_factory_set_permissions (GstRTSPMediaFactory * factory,
                                            GstRTSPPermissions * permissions)

Set permissions on factory.

Parameters:

`factory` –

a GstRTSPMediaFactory

`permissions` ( [transfer: none][nullable]) –

a GstRTSPPermissions

#### GstRtspServer.RTSPMediaFactory.prototype.set_permissions

    function GstRtspServer.RTSPMediaFactory.prototype.set_permissions(permissions: GstRtspServer.RTSPPermissions): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_permissions'
    }

Set permissions on factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`permissions` (GstRtspServer.RTSPPermissions) –

a GstRtspServer.RTSPPermissions

#### GstRtspServer.RTSPMediaFactory.set_permissions

    def GstRtspServer.RTSPMediaFactory.set_permissions (self, permissions):
        #python wrapper for 'gst_rtsp_media_factory_set_permissions'

Set permissions on factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`permissions` (GstRtspServer.RTSPPermissions) –

a GstRtspServer.RTSPPermissions

#### gst_rtsp_media_factory_set_profiles

    gst_rtsp_media_factory_set_profiles (GstRTSPMediaFactory * factory,
                                         GstRTSPProfile profiles)

Configure the allowed profiles for factory.

Parameters:

`factory` –

a GstRTSPMediaFactory

`profiles` –

the new flags

#### GstRtspServer.RTSPMediaFactory.prototype.set_profiles

    function GstRtspServer.RTSPMediaFactory.prototype.set_profiles(profiles: GstRtsp.RTSPProfile): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_profiles'
    }

Configure the allowed profiles for factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`profiles` (GstRtsp.RTSPProfile) –

the new flags

#### GstRtspServer.RTSPMediaFactory.set_profiles

    def GstRtspServer.RTSPMediaFactory.set_profiles (self, profiles):
        #python wrapper for 'gst_rtsp_media_factory_set_profiles'

Configure the allowed profiles for factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`profiles` (GstRtsp.RTSPProfile) –

the new flags

#### gst_rtsp_media_factory_set_protocols

    gst_rtsp_media_factory_set_protocols (GstRTSPMediaFactory * factory,
                                          GstRTSPLowerTrans protocols)

Configure the allowed lower transport for factory.

Parameters:

`factory` –

a GstRTSPMediaFactory

`protocols` –

the new flags

#### GstRtspServer.RTSPMediaFactory.prototype.set_protocols

    function GstRtspServer.RTSPMediaFactory.prototype.set_protocols(protocols: GstRtsp.RTSPLowerTrans): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_protocols'
    }

Configure the allowed lower transport for factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`protocols` (GstRtsp.RTSPLowerTrans) –

the new flags

#### GstRtspServer.RTSPMediaFactory.set_protocols

    def GstRtspServer.RTSPMediaFactory.set_protocols (self, protocols):
        #python wrapper for 'gst_rtsp_media_factory_set_protocols'

Configure the allowed lower transport for factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`protocols` (GstRtsp.RTSPLowerTrans) –

the new flags

#### gst_rtsp_media_factory_set_publish_clock_mode

    gst_rtsp_media_factory_set_publish_clock_mode (GstRTSPMediaFactory * factory,
                                                   GstRTSPPublishClockMode mode)

Sets if and how the media clock should be published according to RFC7273.

Parameters:

`factory` –

a GstRTSPMediaFactory

`mode` –

the clock publish mode

Since : 1.8

#### GstRtspServer.RTSPMediaFactory.prototype.set_publish_clock_mode

    function GstRtspServer.RTSPMediaFactory.prototype.set_publish_clock_mode(mode: GstRtspServer.RTSPPublishClockMode): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_publish_clock_mode'
    }

Sets if and how the media clock should be published according to RFC7273.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`mode` (GstRtspServer.RTSPPublishClockMode) –

the clock publish mode

Since : 1.8

#### GstRtspServer.RTSPMediaFactory.set_publish_clock_mode

    def GstRtspServer.RTSPMediaFactory.set_publish_clock_mode (self, mode):
        #python wrapper for 'gst_rtsp_media_factory_set_publish_clock_mode'

Sets if and how the media clock should be published according to RFC7273.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`mode` (GstRtspServer.RTSPPublishClockMode) –

the clock publish mode

Since : 1.8

#### gst_rtsp_media_factory_set_retransmission_time

    gst_rtsp_media_factory_set_retransmission_time (GstRTSPMediaFactory * factory,
                                                    GstClockTime time)

Configure the time to store for possible retransmission

Parameters:

`factory` –

a GstRTSPMediaFactory

`time` –

a GstClockTime

#### GstRtspServer.RTSPMediaFactory.prototype.set_retransmission_time

    function GstRtspServer.RTSPMediaFactory.prototype.set_retransmission_time(time: Number): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_retransmission_time'
    }

Configure the time to store for possible retransmission

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`time` (Number) –

a Number

#### GstRtspServer.RTSPMediaFactory.set_retransmission_time

    def GstRtspServer.RTSPMediaFactory.set_retransmission_time (self, time):
        #python wrapper for 'gst_rtsp_media_factory_set_retransmission_time'

Configure the time to store for possible retransmission

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`time` (int) –

a int

#### gst_rtsp_media_factory_set_shared

    gst_rtsp_media_factory_set_shared (GstRTSPMediaFactory * factory,
                                       gboolean shared)

Configure if media created from this factory can be shared between clients.

Parameters:

`factory` –

a GstRTSPMediaFactory

`shared` –

the new value

#### GstRtspServer.RTSPMediaFactory.prototype.set_shared

    function GstRtspServer.RTSPMediaFactory.prototype.set_shared(shared: Number): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_shared'
    }

Configure if media created from this factory can be shared between clients.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`shared` (Number) –

the new value

#### GstRtspServer.RTSPMediaFactory.set_shared

    def GstRtspServer.RTSPMediaFactory.set_shared (self, shared):
        #python wrapper for 'gst_rtsp_media_factory_set_shared'

Configure if media created from this factory can be shared between clients.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`shared` (bool) –

the new value

#### gst_rtsp_media_factory_set_stop_on_disconnect

    gst_rtsp_media_factory_set_stop_on_disconnect (GstRTSPMediaFactory * factory,
                                                   gboolean stop_on_disconnect)

Configure if media created from this factory should be stopped when a client disconnects without sending TEARDOWN.

Parameters:

`factory` –

a GstRTSPMediaFactory

`stop_on_disconnect` –

the new value

#### GstRtspServer.RTSPMediaFactory.prototype.set_stop_on_disconnect

    function GstRtspServer.RTSPMediaFactory.prototype.set_stop_on_disconnect(stop_on_disconnect: Number): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_stop_on_disconnect'
    }

Configure if media created from this factory should be stopped when a client disconnects without sending TEARDOWN.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`stop_on_disconnect` (Number) –

the new value

#### GstRtspServer.RTSPMediaFactory.set_stop_on_disconnect

    def GstRtspServer.RTSPMediaFactory.set_stop_on_disconnect (self, stop_on_disconnect):
        #python wrapper for 'gst_rtsp_media_factory_set_stop_on_disconnect'

Configure if media created from this factory should be stopped when a client disconnects without sending TEARDOWN.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`stop_on_disconnect` (bool) –

the new value

#### gst_rtsp_media_factory_set_suspend_mode

    gst_rtsp_media_factory_set_suspend_mode (GstRTSPMediaFactory * factory,
                                             GstRTSPSuspendMode mode)

Configure how media created from this factory will be suspended.

Parameters:

`factory` –

a GstRTSPMediaFactory

`mode` –

the new GstRTSPSuspendMode

#### GstRtspServer.RTSPMediaFactory.prototype.set_suspend_mode

    function GstRtspServer.RTSPMediaFactory.prototype.set_suspend_mode(mode: GstRtspServer.RTSPSuspendMode): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_suspend_mode'
    }

Configure how media created from this factory will be suspended.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`mode` (GstRtspServer.RTSPSuspendMode) –

the new GstRtspServer.RTSPSuspendMode

#### GstRtspServer.RTSPMediaFactory.set_suspend_mode

    def GstRtspServer.RTSPMediaFactory.set_suspend_mode (self, mode):
        #python wrapper for 'gst_rtsp_media_factory_set_suspend_mode'

Configure how media created from this factory will be suspended.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`mode` (GstRtspServer.RTSPSuspendMode) –

the new GstRtspServer.RTSPSuspendMode

#### gst_rtsp_media_factory_set_transport_mode

    gst_rtsp_media_factory_set_transport_mode (GstRTSPMediaFactory * factory,
                                               GstRTSPTransportMode mode)

Configure if this factory creates media for PLAY or RECORD modes.

Parameters:

`factory` –

a GstRTSPMediaFactory

`mode` –

the new value

#### GstRtspServer.RTSPMediaFactory.prototype.set_transport_mode

    function GstRtspServer.RTSPMediaFactory.prototype.set_transport_mode(mode: GstRtspServer.RTSPTransportMode): {
        // javascript wrapper for 'gst_rtsp_media_factory_set_transport_mode'
    }

Configure if this factory creates media for PLAY or RECORD modes.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`mode` (GstRtspServer.RTSPTransportMode) –

the new value

#### GstRtspServer.RTSPMediaFactory.set_transport_mode

    def GstRtspServer.RTSPMediaFactory.set_transport_mode (self, mode):
        #python wrapper for 'gst_rtsp_media_factory_set_transport_mode'

Configure if this factory creates media for PLAY or RECORD modes.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –

a GstRtspServer.RTSPMediaFactory

`mode` (GstRtspServer.RTSPTransportMode) –

the new value

### Signals

#### media-configure

    media_configure_callback (GstRTSPMediaFactory * self,
                              GstRTSPMedia * object,
                              gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last

#### media-configure

    function media_configure_callback(self: GstRtspServer.RTSPMediaFactory, object: GstRtspServer.RTSPMedia, user_data: Object): {
        // javascript callback for the 'media-configure' signal
    }

Parameters:

`self` (GstRtspServer.RTSPMediaFactory) –
No description available
`object` (GstRtspServer.RTSPMedia) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### media-configure

    def media_configure_callback (self, object, *user_data):
        #python callback for the 'media-configure' signal

Parameters:

`self` (GstRtspServer.RTSPMediaFactory) –
No description available
`object` (GstRtspServer.RTSPMedia) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

#### media-constructed

    media_constructed_callback (GstRTSPMediaFactory * self,
                                GstRTSPMedia * object,
                                gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last

#### media-constructed

    function media_constructed_callback(self: GstRtspServer.RTSPMediaFactory, object: GstRtspServer.RTSPMedia, user_data: Object): {
        // javascript callback for the 'media-constructed' signal
    }

Parameters:

`self` (GstRtspServer.RTSPMediaFactory) –
No description available
`object` (GstRtspServer.RTSPMedia) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### media-constructed

    def media_constructed_callback (self, object, *user_data):
        #python callback for the 'media-constructed' signal

Parameters:

`self` (GstRtspServer.RTSPMediaFactory) –
No description available
`object` (GstRtspServer.RTSPMedia) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

### Properties

#### bind-mcast-address

    “bind-mcast-address” gboolean

Flags : Read / Write

#### bind-mcast-address

    “bind-mcast-address” Number

Flags : Read / Write

#### bind_mcast_address

    “self.props.bind_mcast_address” bool

Flags : Read / Write

#### buffer-size

    “buffer-size” guint

Flags : Read / Write

#### buffer-size

    “buffer-size” Number

Flags : Read / Write

#### buffer_size

    “self.props.buffer_size” int

Flags : Read / Write

#### clock

    “clock” GstClock *

Flags : Read / Write

#### clock

    “clock” Gst.Clock

Flags : Read / Write

#### clock

    “self.props.clock” Gst.Clock

Flags : Read / Write

#### dscp-qos

    “dscp-qos” gint

Flags : Read / Write

#### dscp-qos

    “dscp-qos” Number

Flags : Read / Write

#### dscp_qos

    “self.props.dscp_qos” int

Flags : Read / Write

#### enable-rtcp

    “enable-rtcp” gboolean

Whether the created media should send and receive RTCP

Flags : Read / Write

Since : 1.20

#### enable-rtcp

    “enable-rtcp” Number

Whether the created media should send and receive RTCP

Flags : Read / Write

Since : 1.20

#### enable_rtcp

    “self.props.enable_rtcp” bool

Whether the created media should send and receive RTCP

Flags : Read / Write

Since : 1.20

#### ensure-keyunit-on-start

    “ensure-keyunit-on-start” gboolean

If media from this factory should ensure a key unit when a client connects.

This property will ensure that the stream always starts on a key unit instead of a delta unit which the client would not be able to decode.

Note that this will only affect non-shared medias for now.

Flags : Read / Write

Since : 1.24

#### ensure-keyunit-on-start

    “ensure-keyunit-on-start” Number

If media from this factory should ensure a key unit when a client connects.

This property will ensure that the stream always starts on a key unit instead of a delta unit which the client would not be able to decode.

Note that this will only affect non-shared medias for now.

Flags : Read / Write

Since : 1.24

#### ensure_keyunit_on_start

    “self.props.ensure_keyunit_on_start” bool

If media from this factory should ensure a key unit when a client connects.

This property will ensure that the stream always starts on a key unit instead of a delta unit which the client would not be able to decode.

Note that this will only affect non-shared medias for now.

Flags : Read / Write

Since : 1.24

#### ensure-keyunit-on-start-timeout

    “ensure-keyunit-on-start-timeout” guint

Timeout in milliseconds used to determine if a keyunit should be discarded when a client connects.

If the timeout has been reached a new keyframe will be forced, otherwise the currently blocking keyframe will be used.

This options is only relevant when ensure-keyunit-on-start is enabled.

Flags : Read / Write

Since : 1.24

#### ensure-keyunit-on-start-timeout

    “ensure-keyunit-on-start-timeout” Number

Timeout in milliseconds used to determine if a keyunit should be discarded when a client connects.

If the timeout has been reached a new keyframe will be forced, otherwise the currently blocking keyframe will be used.

This options is only relevant when ensure-keyunit-on-start is enabled.

Flags : Read / Write

Since : 1.24

#### ensure_keyunit_on_start_timeout

    “self.props.ensure_keyunit_on_start_timeout” int

Timeout in milliseconds used to determine if a keyunit should be discarded when a client connects.

If the timeout has been reached a new keyframe will be forced, otherwise the currently blocking keyframe will be used.

This options is only relevant when ensure-keyunit-on-start is enabled.

Flags : Read / Write

Since : 1.24

#### eos-shutdown

    “eos-shutdown” gboolean

Flags : Read / Write

#### eos-shutdown

    “eos-shutdown” Number

Flags : Read / Write

#### eos_shutdown

    “self.props.eos_shutdown” bool

Flags : Read / Write

#### latency

    “latency” guint

Flags : Read / Write

#### latency

    “latency” Number

Flags : Read / Write

#### latency

    “self.props.latency” int

Flags : Read / Write

#### launch

    “launch” gchar *

Flags : Read / Write

#### launch

    “launch” String

Flags : Read / Write

#### launch

    “self.props.launch” str

Flags : Read / Write

#### max-mcast-ttl

    “max-mcast-ttl” guint

Flags : Read / Write

#### max-mcast-ttl

    “max-mcast-ttl” Number

Flags : Read / Write

#### max_mcast_ttl

    “self.props.max_mcast_ttl” int

Flags : Read / Write

#### profiles

    “profiles” GstRTSPProfile *

Flags : Read / Write

#### profiles

    “profiles” GstRtsp.RTSPProfile

Flags : Read / Write

#### profiles

    “self.props.profiles” GstRtsp.RTSPProfile

Flags : Read / Write

#### protocols

    “protocols” GstRTSPLowerTrans *

Flags : Read / Write

#### protocols

    “protocols” GstRtsp.RTSPLowerTrans

Flags : Read / Write

#### protocols

    “self.props.protocols” GstRtsp.RTSPLowerTrans

Flags : Read / Write

#### shared

    “shared” gboolean

Flags : Read / Write

#### shared

    “shared” Number

Flags : Read / Write

#### shared

    “self.props.shared” bool

Flags : Read / Write

#### stop-on-disconnect

    “stop-on-disconnect” gboolean

Flags : Read / Write

#### stop-on-disconnect

    “stop-on-disconnect” Number

Flags : Read / Write

#### stop_on_disconnect

    “self.props.stop_on_disconnect” bool

Flags : Read / Write

#### suspend-mode

    “suspend-mode” GstRTSPSuspendMode *

Flags : Read / Write

#### suspend-mode

    “suspend-mode” GstRtspServer.RTSPSuspendMode

Flags : Read / Write

#### suspend_mode

    “self.props.suspend_mode” GstRtspServer.RTSPSuspendMode

Flags : Read / Write

#### transport-mode

    “transport-mode” GstRTSPTransportMode *

Flags : Read / Write

#### transport-mode

    “transport-mode” GstRtspServer.RTSPTransportMode

Flags : Read / Write

#### transport_mode

    “self.props.transport_mode” GstRtspServer.RTSPTransportMode

Flags : Read / Write

### Virtual Methods

#### configure

    configure (GstRTSPMediaFactory * factory,
               GstRTSPMedia * media)

configure the media created with construct. The default implementation will configure the 'shared' property of the media.

Parameters:

`factory` –
No description available
`media` –
No description available

#### vfunc_configure

    function vfunc_configure(factory: GstRtspServer.RTSPMediaFactory, media: GstRtspServer.RTSPMedia): {
        // javascript implementation of the 'configure' virtual method
    }

configure the media created with construct. The default implementation will configure the 'shared' property of the media.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`media` (GstRtspServer.RTSPMedia) –
No description available

#### do_configure

    def do_configure (factory, media):
        #python implementation of the 'configure' virtual method

configure the media created with construct. The default implementation will configure the 'shared' property of the media.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`media` (GstRtspServer.RTSPMedia) –
No description available

#### construct

    GstRTSPMedia *
    construct (GstRTSPMediaFactory * factory,
               const GstRTSPUrl * url)

the vmethod that will be called when the factory has to create the GstRTSPMedia for url. The default implementation of this function calls create_element to retrieve an element and then looks for pay%d to create the streams.

Parameters:

`factory` –
No description available
`url` –
No description available
Returns –
No description available

#### vfunc_construct

    function vfunc_construct(factory: GstRtspServer.RTSPMediaFactory, url: GstRtsp.RTSPUrl): {
        // javascript implementation of the 'construct' virtual method
    }

the vmethod that will be called when the factory has to create the GstRtspServer.RTSPMedia for url. The default implementation of this function calls create_element to retrieve an element and then looks for pay%d to create the streams.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`url` (GstRtsp.RTSPUrl) –
No description available
Returns (GstRtspServer.RTSPMedia) –
No description available

#### do_construct

    def do_construct (factory, url):
        #python implementation of the 'construct' virtual method

the vmethod that will be called when the factory has to create the GstRtspServer.RTSPMedia for url. The default implementation of this function calls create_element to retrieve an element and then looks for pay%d to create the streams.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`url` (GstRtsp.RTSPUrl) –
No description available
Returns (GstRtspServer.RTSPMedia) –
No description available

#### create_element

    GstElement *
    create_element (GstRTSPMediaFactory * factory,
                    const GstRTSPUrl * url)

Construct and return a GstElement that is a GstBin containing the elements to use for streaming the media. The bin should contain payloaders pay%d for each stream. The default implementation of this function returns the bin created from the launch parameter.

Parameters:

`factory` –
No description available
`url` –
No description available
Returns –
No description available

#### vfunc_create_element

    function vfunc_create_element(factory: GstRtspServer.RTSPMediaFactory, url: GstRtsp.RTSPUrl): {
        // javascript implementation of the 'create_element' virtual method
    }

Construct and return a Gst.Element that is a Gst.Bin containing the elements to use for streaming the media. The bin should contain payloaders pay%d for each stream. The default implementation of this function returns the bin created from the launch parameter.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`url` (GstRtsp.RTSPUrl) –
No description available
Returns (Gst.Element) –
No description available

#### do_create_element

    def do_create_element (factory, url):
        #python implementation of the 'create_element' virtual method

Construct and return a Gst.Element that is a Gst.Bin containing the elements to use for streaming the media. The bin should contain payloaders pay%d for each stream. The default implementation of this function returns the bin created from the launch parameter.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`url` (GstRtsp.RTSPUrl) –
No description available
Returns (Gst.Element) –
No description available

#### create_pipeline

    GstElement *
    create_pipeline (GstRTSPMediaFactory * factory,
                     GstRTSPMedia * media)

create a new pipeline or re-use an existing one and add the GstRTSPMedia's element created by construct to the pipeline.

Parameters:

`factory` –
No description available
`media` –
No description available
Returns –
No description available

#### gen_key

    gchar *
    gen_key (GstRTSPMediaFactory * factory,
             const GstRTSPUrl * url)

convert url to a key for caching shared GstRTSPMedia objects. The default implementation of this function will use the complete URL including the query parameters to return a key.

Parameters:

`factory` –
No description available
`url` –
No description available
Returns –
No description available

#### vfunc_gen_key

    function vfunc_gen_key(factory: GstRtspServer.RTSPMediaFactory, url: GstRtsp.RTSPUrl): {
        // javascript implementation of the 'gen_key' virtual method
    }

convert url to a key for caching shared GstRtspServer.RTSPMedia objects. The default implementation of this function will use the complete URL including the query parameters to return a key.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`url` (GstRtsp.RTSPUrl) –
No description available
Returns (String) –
No description available

#### do_gen_key

    def do_gen_key (factory, url):
        #python implementation of the 'gen_key' virtual method

convert url to a key for caching shared GstRtspServer.RTSPMedia objects. The default implementation of this function will use the complete URL including the query parameters to return a key.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`url` (GstRtsp.RTSPUrl) –
No description available
Returns (str) –
No description available

#### media_configure

    media_configure (GstRTSPMediaFactory * factory,
                     GstRTSPMedia * media)

signal emitted when a media should be configured

Parameters:

`factory` –
No description available
`media` –
No description available

#### vfunc_media_configure

    function vfunc_media_configure(factory: GstRtspServer.RTSPMediaFactory, media: GstRtspServer.RTSPMedia): {
        // javascript implementation of the 'media_configure' virtual method
    }

signal emitted when a media should be configured

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`media` (GstRtspServer.RTSPMedia) –
No description available

#### do_media_configure

    def do_media_configure (factory, media):
        #python implementation of the 'media_configure' virtual method

signal emitted when a media should be configured

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`media` (GstRtspServer.RTSPMedia) –
No description available

#### media_constructed

    media_constructed (GstRTSPMediaFactory * factory,
                       GstRTSPMedia * media)

signal emitted when a media was constructed

Parameters:

`factory` –
No description available
`media` –
No description available

#### vfunc_media_constructed

    function vfunc_media_constructed(factory: GstRtspServer.RTSPMediaFactory, media: GstRtspServer.RTSPMedia): {
        // javascript implementation of the 'media_constructed' virtual method
    }

signal emitted when a media was constructed

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`media` (GstRtspServer.RTSPMedia) –
No description available

#### do_media_constructed

    def do_media_constructed (factory, media):
        #python implementation of the 'media_constructed' virtual method

signal emitted when a media was constructed

Parameters:

`factory` (GstRtspServer.RTSPMediaFactory) –
No description available
`media` (GstRtspServer.RTSPMedia) –
No description available

## Function Macros

### GST_RTSP_MEDIA_FACTORY_CAST

    #define GST_RTSP_MEDIA_FACTORY_CAST(obj)         ((GstRTSPMediaFactory*)(obj))

### GST_RTSP_MEDIA_FACTORY_CLASS_CAST

    #define GST_RTSP_MEDIA_FACTORY_CLASS_CAST(klass) ((GstRTSPMediaFactoryClass*)(klass))

The results of the search are